mod_auth_kerb has been replaced by mod_auth_gssapi

04/19/2021 08:52 PM - drokath please_edit_me

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases: 2.4.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/967

  

Description

Kerberos authentication can not be used on CentOS and CentOS Stream.

mod_auth_kerb as been deprecated and replaced by:

Command used:

foreman-installer --scenario katello --foreman-passenger false --foreman-initial-admin-password <p

assword> --foreman-initial-location  "Default Location" --foreman-initial-organization "Default Or

ganization" --foreman-ipa-authentication=true --foreman-ipa-manage-sssd true --foreman-pam-service

=foreman-prod

 
2021-04-19 20:48:23 [ERROR ] [configure] Execution of '/bin/dnf -d 0 -e 1 -y install mod_auth_kerb

' returned 1: Error: Unable to find a match: mod_auth_kerb

2021-04-19 20:48:23 [ERROR ] [configure] /Stage[main]/Apache::Mod::Auth_kerb/Apache::Mod[auth_kerb

]/Package[mod_auth_kerb]/ensure: change from 'purged' to 'present' failed: Execution of '/bin/dnf 

-d 0 -e 1 -y install mod_auth_kerb' returned 1: Error: Unable to find a match: mod_auth_kerb

Associated revisions

Revision 91850a2b - 07/06/2021 02:55 PM - Evgeni Golov

Fixes #32352 - use mod_auth_gssapi instead of mod_auth_kerb

History

#1 - 07/05/2021 02:06 PM - Evgeni Golov

- Category changed from foreman-installer script to Foreman modules

#2 - 07/05/2021 02:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman/pull/967 added

#3 - 07/06/2021 02:55 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/06/2021 03:08 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|91850a2b4522406a28dbc98e2c3f215130d08dab.

#5 - 08/31/2021 02:09 PM - Ewoud Kohl van Wijngaarden

- Subject changed from foreman-installer - CentOS 8 : mod_auth_kerb has been replaced by mod_auth_gssapi to mod_auth_kerb has been replaced
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/91850a2b4522406a28dbc98e2c3f215130d08dab


by mod_auth_gssapi
